POST Agents/Sale/CreateDefaultSaleSummary
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
POST /api/v1/Agents/Sale/CreateDefaultSaleSummary
Loading default values into a new SaleSummary.
NsApiSlow threshold: 3000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: SaleSummary
| Property Name | Type | Description |
|---|---|---|
| BaseCurrency | string | Default currency for the installation |
| OwnCurrency | string | Default currency for the current user |
| SoldTotalBaseCurrency | double | Summed amount for all sold within the period in default currency for the installation |
| Sold | int32 | Number of all sold within the period |
| SoldTotalOwnCurrency | double | Summed amount for all sold within the period in default currency for the current user |
| Lost | int32 | Number of all lost within the period |
| LostTotalBaseCurrency | double | Summed amount for all lost within the period in default currency for the installation |
| LostTotalOwnCurrency | double | Summed amount for all lost within the period in default currency for the current user |
| Open | int32 | Number of all open within the period |
| OpenTotalBaseCurrency | double | Summed amount for all open within the period in default currency for the installation |
| OpenTotalOwnCurrency | double | Summed amount for all open within the period in default currency for the current user |
| OpenWeightedBaseCurrency | double | Weighted sum for all open within the period in default currency for the installation |
| OpenWeightedOwnCurrency | double | Weighted sum for all open within the period in default currency for the current user |
| PreviousOverdue | int32 | Number of all open sales with date before this period |
| PreviousOverdueTotalBaseCurrency | double | Summed amount for all open sales with date before this period in default currency for the installation |
| PreviousOverdueTotalOwnCurrency | double | Summed amount for all open sales with date before this period in default currency for the current user |
| PreviousOverdueWeightedBaseCurrency | double | Weighted sum for all open sales with date before this period in default currency for the installation |
| PreviousOverdueWeightedOwnCurrency | double | Weighted sum for all open sales with date before this period in default currency for the current user |
| CurrentOverdue | int32 | Number of all overdue sales within the period |
| CurrentOverdueTotalBaseCurrency | double | Summed amount for all overdue sales within the period in default currency for the installation |
| CurrentOverdueTotalOwnCurrency | double | Summed amount for all overdue sales within the period in default currency for the current user |
| CurrentOverdueWeightedBaseCurrency | double | Weighted sum for all overdue sales within the period in default currency for the installation |
| CurrentOverdueWeightedOwnCurrency | double | Weighted sum for all overdue sales within the period in default currency for the current user |
| FutureOpen | int32 | Number of all Future Pipe/All open sales with date after the period |
| FutureOpenTotalBaseCurrency | double | Summed amount for all Future Pipe/All open sales with date after the period in default currency for the installation |
| FutureOpenTotalOwnCurrency | double | Summed amount for all Future Pipe/All open sales with date after the period in default currency for the current user |
| FutureOpenWeightedBaseCurrency | double | Weighted sum for all Future Pipe/All open sales with date after the period in default currency for the installation |
| FutureOpenWeightedOwnCurrency | double | Weighted sum for all Future Pipe/All open sales with date after the period in default currency for the current user |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Sale/CreateDefaultSaleSummary
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"BaseCurrency": "quisquam",
"OwnCurrency": "facilis",
"SoldTotalBaseCurrency": 19979.25,
"Sold": 55,
"SoldTotalOwnCurrency": 9449.01,
"Lost": 146,
"LostTotalBaseCurrency": 23476.793999999998,
"LostTotalOwnCurrency": 959.004,
"Open": 563,
"OpenTotalBaseCurrency": 2394.3759999999997,
"OpenTotalOwnCurrency": 20800.358,
"OpenWeightedBaseCurrency": 6706.76,
"OpenWeightedOwnCurrency": 4848.298,
"PreviousOverdue": 113,
"PreviousOverdueTotalBaseCurrency": 8624.768,
"PreviousOverdueTotalOwnCurrency": 30873.034,
"PreviousOverdueWeightedBaseCurrency": 25589.11,
"PreviousOverdueWeightedOwnCurrency": 12291.547999999999,
"CurrentOverdue": 670,
"CurrentOverdueTotalBaseCurrency": 1526.258,
"CurrentOverdueTotalOwnCurrency": 30663.056,
"CurrentOverdueWeightedBaseCurrency": 13510.673999999999,
"CurrentOverdueWeightedOwnCurrency": 22295.275999999998,
"FutureOpen": 756,
"FutureOpenTotalBaseCurrency": 24617.57,
"FutureOpenTotalOwnCurrency": 3883.026,
"FutureOpenWeightedBaseCurrency": 18318.23,
"FutureOpenWeightedOwnCurrency": 19424.532,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 710
}
}
}